Subject: Re: cygrunsrv: Service failed to respond in a timely fashion (1.5.11)
From: Robert Schmidt <[email-masked]>
To: [email-masked]
Date: Mon, 28 Feb 2005 09:13:20 +0100
Newsgroups: gmane.os.cygwin

Thanks, Brian!

Making sure cygwin is set up for "everybody" seemed to do the trick. 
All services ran fine after a reboot.

For the record: no events of interest appeared in the event log (only 
the Windows error message in the subject).  No output was produced in 
/var/log.

Cheers,
Rob

Brian Dessent wrote:
> Robert Schmidt wrote:
> 
> 
>>On all my PCs, I've installed a few services using cygrunsrv (cron,
>>Privoxy, ...).  On my newest laptop (a brand new Dell M70, fresh XP+SP2
>>and basic cygwin 1.5.11 installation), none of the cygrunsrv services
>>will start.
> 
> 
> Check the logs in /var/log.  For a service 'foo' you should have
> /var/log/foo.log that will contain stdout and/or stderr of the process. 
> Also check the Event Log for messages about the service.
> 
> From your cygcheck output your group is "mkgroup_l_d" which means you
> don't have a valid /etc/group file -- this is a hint that you need to
> run "mkgroup -l -d > /etc/group" or similar.  Check the users guide.  
> 
> From your cygcheck output your mounts are all "user" mounts and not
> "system" mounts, so they will be invisible to services, which log in
> with different credentials than normal users (i.e. LOCALSYSTEM).  "user"
> mounts and services do not mix well.  I think there's an entry in the
> FAQ on how to convert them using sed and mount, or you could just select
> "everybody" next time you run setup.
> 
> Brian
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/